Manuel PHP
Précédent |  | Suivant

# VARIANT

(unknown)

VARIANT -- classe VARIANT

## Synopsis

    $vVar = new VARIANT($var)

## Description

Une classe container qui transforme les variables en structures VARIANT.

## Methodes

``string variant::variant` ([mixed value [, int type [, int codepage]]])`

Constructeur VARIANT. Paramètres:

value

  valeur initiale. Si omis, un objet VT_EMPTY.

type

  spécifie le type d'objet VARIANT contenu. Les valeurs possibles `VT_UI1`, `VT_UI2`, `VT_UI4`, `VT_I1`, `VT_I2`, `VT_I4`, `VT_R4`, `VT_R8`, `VT_INT`, `VT_UINT`, `VT_BOOL`, `VT_ERROR`, `VT_CY`, `VT_DATE`, `VT_BSTR`, `VT_DECIMAL`, `VT_UNKNOWN`, `VT_DISPATCH` et `VT_VARIANT`. Ces valeurs sont mutuellement exclusives, mais elles peuvent être combinées avec `VT_BYREF` pour spécifier que c'est une valeur. Si omis le type de `value` est utilisé. Consultez la librairy MSDN pour plus de détails.

codepage

  spécifie le code qui est utilisé pour transformer les chaînes de caractères PHP en chaînes unicode, et vice-versa. Les valeurs possibles sont `CP_ACP`, `CP_MACCP`, `CP_OEMCP`, `CP_SYMBOL`, `CP_THREAD_ACP`, `CP_UTF7` et `CP_UTF8`.

Précédent | Sommaire | Suivant
COM | Niveau supérieur | com_load